Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.cache
Class VersionedNearCache.VersionCacheListener

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.AbstractMapListener
com.tangosol.net.cache.VersionedNearCache.VersionCacheListener`

All Implemented Interfaces:
  MapListener, java.util.EventListener

Enclosing class:
  VersionedNearCache

      public class VersionedNearCache.VersionCacheListener

extends AbstractMapListener

A map listener that listens to the VersionCache and invalidates local entries accordingly.

Author:
  cp 2002.10.20

Constructor Summary
`VersionedNearCache.VersionCacheListener()`

Method Summary
`void` | `entryDeleted(MapEvent evt)` Invoked when a map entry has been removed.
`void` | `entryUpdated(MapEvent evt)` Invoked when a map entry has been updated.

Methods inherited from class com.tangosol.util.AbstractMapListener
`entryInserted`

Constructor Detail

### VersionedNearCache.VersionCacheListener

    public VersionedNearCache.VersionCacheListener()

Method Detail

### entryUpdated

    public void entryUpdated(MapEvent evt)

  Invoked when a map entry has been updated.
  Specified by:
    `entryUpdated` in interface `MapListener`
  Overrides:
    `entryUpdated` in class `AbstractMapListener`
  Parameters:
    `evt` - the MapEvent carrying the update information

### entryDeleted

    public void entryDeleted(MapEvent evt)

  Invoked when a map entry has been removed.
  Specified by:
    `entryDeleted` in interface `MapListener`
  Overrides:
    `entryDeleted` in class `AbstractMapListener`
  Parameters:
    `evt` - the MapEvent carrying the delete information

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.